/*
	DISCLAIMER:
	All sample code is provided by Fleetmatics, A Verizon Company, for illustrative purposes only. 
	These examples have not been thoroughly tested under all conditions. Fleetmatics, therefore, 
	cannot guarantee or imply reliability, serviceability, or function of these programs. 
	All programs contained herein are provided to you “AS IS” without any warranties of any kind.
*/

public class ProgramPutVehicle{
  public static void main(String[] args){
    
    // Token call goes here, see Token example
    
    // App Id from Fleetmatics Integration Manager (FIM) 
    String appId = "companyname-p-us-4654sdf4fa351af65dsf1d";

    // Local variables that correspond to Vehicle object in PUT
    String vehicleNum = "0112358";
    String vehicleName = "TESTER";
    String registrationNumber = "GA23423";
    String vin = "1GNDX03E5YD117167";
    String make = "Ford";
    Integer year = 2012;
    String model = "F150";
    Double tankCapacity = 20.5;
    Double highwayMPG = 14.5;
    Double cityMPG = 11.5;
    Integer vehicleSize = 1;       
    
    // Put Vehicle URI; vehicle number is appended to the end of the string to complete the URI
	// eu uri -> https://fim.api.eu.fleetmatics.com/cmd/v1/vehicles/%s
    String putVehicleUri = String.format("https://fim.api.us.fleetmatics.com/cmd/v1/vehicles/%s", vehicleNum);      
    
    // Create new PUT_Vehicle object
    PUT_Vehicle rest_put = new PUT_Vehicle();
  
    // Pass in local variables to create a Vehicle object
    rest_put.CreateNewPutVehicle(vehicleName, vehicleNum, registrationNumber, vin, make, model, year, tankCapacity, highwayMPG, cityMPG, vehicleSize);
 
    // Call method to execute the API call
    rest_put.PutVehicle(/* token auth string passed here */, putVehicleUri, appId);
  }
}